package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.student.service.IStudentLeaveService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 教师请假请假数据，推送海康门禁
 */
@Component("teacher_leave_node")
public class TeacherLeaveNode extends NodeComponent {

    @Autowired
    private IStudentLeaveService studentLeaveService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            studentLeaveService.hikvisionLeave(formId);
        }
    }
}